import { ssystem_url } from "@/utils/httpRequest";

/**
 * 用户登录
 */
export const login_login = (data) => ssystem_url("login/login", data);
/**
 * 用户退出/断开连接
 */
export const login_out = (data) => ssystem_url("login/out", data);
/**
 *1.2.6分组--用户列表（分享用）
 */
export const group_list_gu = (data) => ssystem_url("group/list_gu", data);
/**
 * 1.3.1角色--选择列表（分享用）
 */
export const role_list_sel = (data) => ssystem_url("role/list_sel", data);
/**
 * 4.1.2参数--保存
 */
export const dict_add_dict = (data) => ssystem_url("dict/add_dict", data);
/**
 * 4.1.3参数--详情
 */
export const dict_detail = (data) => ssystem_url("dict/detail", data);
/**
 * 4.1.3.2参数--属性
 */
export const dict_property = (data) => ssystem_url("dict/property", data);
/**
 * 4.1.3.3参数--更新
 */
export const dict_edit = (data) => ssystem_url("dict/edit", data);
/**
 * 4.1.2.2参数--保存参数详情
 */
export const dict_add_detail = (data) => ssystem_url("dict/add_detail", data);
/**
 * 4.1.1参数--列表
 */
export const dict_list_sel = (data) => ssystem_url("dict/list_sel", data);
/**
 * 4.1.4参数--数据列表
 */
export const dict_list_data = (data) => ssystem_url("dict/list_data", data);
/**
 * 4.1.6参数--分页列表
 */
export const dict_list = (data) => ssystem_url("dict/list", data);
/**
 * 4.1.7参数--删除
 */
export const dict_delete = (data) => ssystem_url("dict/delete", data);
/**
 * 4.1.8参数--移动
 */
export const dict_move = (data) => ssystem_url("dict/move", data);
/**
 * 4.2.3地区--根据名称获取编码
 */
export const areazone_get_code = (data) =>
  ssystem_url("areazone/get_code", data);
/**
 * 1.1.1用户--列表
 */
export const user_list = (data) => ssystem_url("user/list", data);
/**
 * 1.1.2用户--添加
 */
export const user_add = (data) => ssystem_url("user/add", data);
/**
 * 1.1.3用户--更新
 */
export const user_edit = (data) => ssystem_url("user/edit", data);
/**
 * 1.1.3.2用户--改头像
 */
export const user_edit_userpic = (data) =>
  ssystem_url("user/edit_userpic", data);
/**
 * 1.1.4用户--删除
 */
export const user_delete = (data) => ssystem_url("user/delete", data);
/**
 * 1.1.5用户--移除分组
 */
export const user_remove_group = (data) =>
  ssystem_url("user/remove_group", data);
/**
 * 1.1.5.2用户--分组列表
 */
export const user_list_group = (data) => ssystem_url("user/list_group", data);
/**
 * 1.1.6.2用户--角色列表
 */
export const user_list_role = (data) => ssystem_url("user/list_role", data);
/**
 * 1.1.7用户--修改手机号
 */
export const user_edit_phone = (data) => ssystem_url("user/edit_phone", data);
/**
 * 1.1.8用户--修改密码
 */
export const user_edit_pwd = (data) => ssystem_url("user/edit_pwd", data);
/**
 * 1.1.9用户--获取验证码
 */
export const user_get_code = (data) => ssystem_url("user/get_code", data);
/**
 * 1.1.10用户--功能菜单
 */
export const power_list_user = (data) => ssystem_url("power/list_user", data);
/**
 * 1.2.1分组--列表
 */
export const group_list = (data) => ssystem_url("group/list", data);
/**
 * 1.2.2分组--添加
 */
export const group_add = (data) => ssystem_url("group/add", data);
/**
 * 1.2.3分组--更新
 */
export const group_edit = (data) => ssystem_url("group/edit", data);
/**
 * 1.2.4分组--删除
 */
export const group_delete = (data) => ssystem_url("group/delete", data);
/**
 * 1.3.1角色--列表
 */
export const role_list = (data) => ssystem_url("role/list", data);
/**
 * 1.3.2角色--添加
 */
export const role_add = (data) => ssystem_url("role/add", data);
/**
 * 1.3.2.2角色--添加角色分组用户
 */
export const role_add_group_user = (data) =>
  ssystem_url("role/add_group_user", data);
/**
 * 1.3.2.3角色--获取角色分组用户
 */
export const role_list_gu = (data) => ssystem_url("role/list_gu", data);
/**
 * 1.3.2.4角色--角色分组用户选择列表
 */
export const role_list_gu_sel = (data) => ssystem_url("role/list_gu_sel", data);
/**
 * 1.3.2.5角色--权限选择列表
 */
export const power_list_sel = (data) => ssystem_url("power/list_sel", data);
/**
 * 1.3.2.6角色--角色权限列表
 */
export const role_list_power = (data) => ssystem_url("role/list_power", data);
/**
 * 1.3.2.7角色--保存角色权限
 */
export const role_add_power = (data) => ssystem_url("role/add_power", data);
/**
 * 1.3.2.9 角色--角色资源保存
 */
export const roletree_add = (data) => ssystem_url("roletree/add", data);
/**
 * 1.3.2.10 角色--角色资源
 */
export const roletree_list_role = (data) =>
  ssystem_url("roletree/list_role", data);
/**
 * 1.3.3角色--更新
 */
export const role_edit = (data) => ssystem_url("role/edit", data);
/**
 * 1.3.4角色--删除
 */
export const role_delete = (data) => ssystem_url("role/delete", data);
/**
 * 1.3.5角色--添加分组
 */
export const role_add_group = (data) => ssystem_url("role/add_group", data);
/**
 * 1.3.6角色--添加用户
 */
export const role_add_user = (data) => ssystem_url("role/add_user", data);
/**
 * 1.4.0会话--列表
 */
export const user_session_list = (data) =>
  ssystem_url("user_session/list", data);
/**
 * 1.4.1会话--单独断开
 */
export const user_login_out = (data) => ssystem_url("login/out", data);
/**
 * 1.4.2会话--批量断开
 */
export const user_session_batch_out = (data) =>
  ssystem_url("user_session/batch_out", data);
/**
 * 1.4.3用户--校验用户登录状态
 */
export const user_check_login = (data) => ssystem_url("user/check_login", data);
/**
 * 1.4.4消息推送--列表
 */
export const notice_list = (data) => ssystem_url("notice/list", data);
/**
 * 1.4.5消息推送--发送
 */
export const notice_send = (data) => ssystem_url("notice/send", data);
/**
 * 1.4.6消息推送--删除
 */
export const notice_delete = (data) => ssystem_url("notice/delete", data);
/**
 * 1.4.7消息推送--置顶
 */
export const notice_toped = (data) => ssystem_url("notice/toped", data);
/**
 * 1.4.8消息推送--取消置顶
 */
export const notice_untoped = (data) => ssystem_url("notice/untoped", data);
/**
 * 1.4.9消息推送--批量删除
 */
export const notice_deletebatch = (data) =>
  ssystem_url("notice/deletebatch", data);
/**
 * 1.4.9消息推送--新增
 */
export const notice_add = (data) => ssystem_url("notice/add", data);
/**
 * 1.4.10消息推送--编辑
 */
export const notice_edit = (data) => ssystem_url("notice/edit", data);
/**
 * 1.4.11消息推送--详情
 */
export const notice_detail = (data) => ssystem_url("notice/detail", data);
/**
 * 1.4.12消息推送--用户列表
 */
export const notice_list_user = (data) => ssystem_url("notice/list_user", data);
/**
 * 1.4.13消息推送--用户详情
 */
export const notice_detail_user = (data) =>
  ssystem_url("notice/detail_user", data);
/**
 * 9.1.1 脱敏规则--列表
 */
export const tm_list = (data) => ssystem_url("tm/list", data);
/**
 * 9.1.2 脱敏规则--添加
 */
export const tm_add = (data) => ssystem_url("tm/add", data);
/**
 * 9.1.3 脱敏规则--修改
 */
export const tm_edit = (data) => ssystem_url("tm/edit", data);
/**
 * 9.1.4 脱敏规则--删除
 */
export const tm_delete = (data) => ssystem_url("tm/delete", data);
/**
 * 9.1.5 脱敏规则--详情
 */
export const tm_detail = (data) => ssystem_url("tm/detail", data);
/**
 * 9.1.6 脱敏规则--移动
 */
export const tm_move = (data) => ssystem_url("tm/move", data);
/**
 * 9.1.7 脱敏规则--属性
 */
export const tm_attr = (data) => ssystem_url("tm/attr", data);
